@import "../fonts/fonts.css";

html, body{
    /* background: rgb(205, 205, 205) */
}
#main{
    position: relative;
    height: calc(100vh - 20px);
    padding: 10px;
}
.row{
    height: 100%;
    margin-right: 0 !important;
    margin-left: 0 !important;
}
#right{
    position: relative;
    border: 1px solid black;
    height: 100%;
    padding:0 !important;
}
#left{
    position: relative;
    height: 100%;
    padding:0 !important;
}
#top, #bottom{
    float: left;
    position: relative;
    height: 50%;
    width: calc(100% - 10px);
    margin-left: 10px;
    padding:0 !important;
}

#list{
    position:absolute;
    bottom:100px;
    right:50px;
    width:300px;
    height: 600px;
    border: 1px solid;
    /* display: none; */

    background: var(--gray);
    box-shadow: -5px 5px #cfcfcf;
    transition: opacity 150ms;
}
#topbar{
    position: relative;
    width:100%;
    height: 5%;
    background:  #f66;

    overflow: hidden;
}
#topbar p{
    font-family: "forje4";
    font-size: 1.5rem;
    margin-top: -0.5rem;
    margin-left: 0.5rem;
    color:white;
}
#container{
    position: relative;
    width:100%;
    height: 95%;
}
.hide{
    opacity: 0;
    pointer-events: none;
}

/*cards ---------------------------*/
.card{
    padding:0 !important;
    overflow: hidden;
    width: 100%;
}
.flip{
    position: absolute;
    width:100%;
    height: 100%;
    backface-visibility: hidden;
    border: 1px solid black;
    box-sizing: border-box;
}
.virus_box{
  width: 100%;
  height: 100%;
  /* text-align: center; */
  transition: transform 0.6s;
  transform-style: preserve-3d;

}
.flip_me{
  transform: rotateY(180deg);
}
.side_one{
    background: #fdc566;
}
.side_two{
    background: #fdc566;
    transform: rotateY(180deg);
    color:white;
    line-height: 2em;
}

.card h2{
    display: inline-block;
    font-family: "synebolder";
    text-align: center;
    font-size: 4rem;
    /* margin-top: 50%; */
    /* top:50%; */
    padding: 0 15px 0 15px;
    position: absolute;

    width: 100%;
    margin: auto;
    position: absolute;
    top: 50%; left: 50%;
    -webkit-transform: translate(-50%,-50%);
    -ms-transform: translate(-50%,-50%);
    transform: translate(-50%,-50%);
}
.card h3{
    font-size: 20rem;
    position: absolute;
    width: 129%;
    height: 100%;
    font-family: "forje12";
    top: -0.5em;
    left: 0;
    text-align: justify;
    color: white;
    line-height: 0.7em;
}
.card p{
    font-family: "syne";
    position: absolute;
    width: 100%;
    color: black;
    top: 40px;
    left:30px;
    padding-right: 80px;
    font-size: 1.2em;
    font-style: normal;
    font-weight: normal;
}
.card p::first-letter{
    font-family: "forje12";
    color:white;
    font-size:2em;
}
.virus{

}
.perso{
    background: #4896fb
}
.overlay{
    background: url("shu.svg") center no-repeat;
    position: absolute;
    top: 0;
    left:0;
    cursor:pointer;
    width:100%;
    height: 100%;
    opacity: 0;
    transition: opacity 500ms ease;

}

.card:hover .overlay{
    opacity: 1;
}


/* extra --------------------------*/
.button{
    position:absolute;
    bottom:15px;
    right:15px;

    width:50px;
    height: 50px;
    background: #f66;;
    border-radius: 50%;

    box-shadow: 5px 5px #cfcfcf;
    cursor: pointer;

    color:white;
    font-size: 5em;
    line-height: 0.3em;
    font-family: 'forje4';
    text-align: center;
    overflow: hidden;
}

.button:active{
    bottom:10px;
    right:10px;
    box-shadow: 1px 1px #cfcfcf;
}

.show_info{
    position:absolute;
    bottom:15px;
    right:15px;

    width:25px;
    height: 25px;
    background: #f66;;
    border-radius: 50%;

    box-shadow: 3px 3px #cfcfcf;
    cursor: pointer;

    color:white;
    font-size: 2em;
    line-height: 0.3em;
    font-family: 'forje4';
    text-align: center;
    overflow: hidden;
}
.show_info:active{
    bottom:12px;
    right:12px;
    box-shadow: 1px 1px #cfcfcf;
}
iframe{
    position: relative;
    width: 100%;
    height: 100%;
}
